RUNDEF Secao06

/*
DERIVAR UMA VARIAVEL USANDO UMA EXPRESSAO ARITMTICA

Descrio do programa:
O programa calcula a diferena de idade entre o filho(a) do
chefe de domiclio e o pai/me. Alm disso, o programa faz uma
verificao de consistncia: a diferena entre as idades do filho(a) 
e do pai/me deveria ser pelo menos 15 anos.
*/

DEFINE PESSOA.DIFIDADE AS DOMICIL.IDADECH - PESSOA.IDADE
  FOR PESSOA.PARENT = 4
  VARLABEL "Diferena de idade entre filho(a) e seu pai/mae"
  
TABLE VERIF AS FREQUENCY OF PESSOA.DIFIDADE
  FOR PESSOA.DIFIDADE < 15
  
/*
Notas de programao:
1. O programa requer a varivel DOMICIL.IDADECH (idade do chefe de domiclio).
   Esta varivel deve ter sido calculada anteriormente e guardada
   na base de dados (ver secao05).
2. A tabulao est limitada a diferenas que sejam menos de 15
   anos, usando a clusula FOR. Para encontrar a diferena mxima
   de idade entre o chefe e seu filho menor, eliminar esta clusula.

Resultados:
    Categoras   Casos
             3       1
            11       1
            12       2
            13      10
            14      16
           -69       1
         Total      31

Comentrios:
1. A tabela de resultados sugere que existem 30 pessoas com uma
   diferena de idade menor de 15 anos com o chefe de domiclio. 
   Alm disso existe una pessoa com uma diferena negativa (-69), quer dizer,
   que o filho  mais velho que seu pai ou me (ou que tenha uma idade
   ignorada = 99).
2. Isto  somente um ememplo, j que numa situao real, a relao
   filho(a) tambm pode incluir filhos adotados, ou o chefe pode ser
   o padrasto.
3. Valores negativos podem ser omitidos utilizando um faixa,
   RANGE 0-100, por exemplo.
*/  
