RUNDEF Secao14

/*
CRIACAO DE UM INDICADOR
Disponibilidade de transporte

Descrio do programa:
Este programa cria uma varivel a nivel de domiclio contendo
o nmero de tipos de transporte disponveis no domiclio. Este nmero
varia entre 0 e 3, y est baseado na categoria 1 das variveis
BICICL, CARRO, MOTOCICL.
*/

DEFINE DOMICIL.TRANSP
  AS DOMICIL.BICICL + DOMICIL.CARRO + DOMICIL.MOTOCICL
  VARLABEL "Nmero de tipos de transporte disponveis"

TABLE VERIF AS FREQUENCY OF DOMICIL.TRANSP

/*
Notas de programao:
1. A soma direta das variveis  possvel porque nenhuma delas tem
   valores no se asplica. Se este no fosse o caso, seria necessrio
   definir primeiro uma varivel auxiliar para eliminar esses valores,
   tal como abaixo.
   Caso contrario a soma aritmtica seria invlida.
   define DOMICIL.V1 as DOMICIL.BICICL
       default 0
        
Resultados:
Categorias   Casos      %
 0            8966   64,4
 1            4067   29,2
 2             852    6,1
 3              34    0,2
 Total       13919  100,0

Comentrios:
1. Quase 65% dos domiclios no tm meios de transporte privados.
*/
